> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses delegation requestsoutgoing



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/delegation-requests/outgoing
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/delegation-requests/outgoing:
    get:
      tags:
        - UserDelegationRequests
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsersUserDelegationRequestResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsersUserDelegationRequestResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsersUserDelegationRequestResponse'
components:
  schemas:
    UsersUserDelegationRequestResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
        requesterUserId:
          type: integer
          format: int64
        requesterUser:
          $ref: '#/components/schemas/UsersUserDto'
        granterUserId:
          type: integer
          format: int64
        granterUser:
          $ref: '#/components/schemas/UsersUserDto'
        scopes:
          type: array
          items:
            type: string
          nullable: true
        reason:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/ModelsUsersSBUserDelegationRequestStatus'
        respondedAt:
          type: string
          format: date-time
          nullable: true
        resolvedDelegationId:
          type: integer
          format: int64
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    UsersUserDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    ModelsUsersSBUserDelegationRequestStatus:
      enum:
        - PENDING
        - APPROVED
        - DECLINED
        - CANCELLED
      type: string

````